# -------------------------------------------------------------------------
# DockManual/__init__.py
#
# Segment Volume package - Dock Manual module
#
# Author:
#       Lavu Sridhar, Baylor College of Medicine (BCM)
#
# Files in module:
#       __init__.py         
#       ChimeraExtension.py
#       correl.py           Compute correlation
#       dockmanual.py       GUI for manual docking
#       transrot.py         Rotation and translation
#
# Help files:
#       dockmanual.html, dockmanual.png
#
# Revisions:
#       2005.04.15: Lavu Sridhar, BCM
#       2005.04.25: Lavu Sridhar, BCM
#
# To Do:
#       See comments marker with # @
#
"""GUI to dock Chimera's VolumeData data objects
with PDB strucutres.

Supports writing:
(1) Manual docking - dock a structure manually into density.
"""

# -------------------------------------------------------------------------

